<?php

final class Bifit_AdminSettings
{
	private static $options = array(
		'admin' 				=> 'integer',
		'test' 					=> 'integer',
		'log' 					=> 'integer',
		'token' 				=> 'string',
		'cashier_name' 			=> 'string',
		'cashier_inn' 			=> 'integer',
		'pay_address' 			=> 'string',
		'address_type' 			=> 'string',
		'fio' 					=> 'integer',
		'receipt_type' 			=> 'string',
		'tax_system' 			=> 'string',
		'calc_method' 			=> 'string',
		'payment_type' 			=> 'string',
		'product_vat' 			=> 'string',
		'shipping_vat'			=> 'string',
		'wpec_status' 			=> 'string',
		'wpec_payment' 			=> 'string'
	);

	public static function checklisthtml()
	{
		if (!empty($_POST)) {
			self::save();
		}

		include(BIFIT_ABSPATH_VIEWS . 'reports.php');
	}

	public static function mainsettings()
	{
		if (!empty($_POST)) {
			self::save();
		}

		include(BIFIT_ABSPATH_VIEWS . 'settings.php');
	}

	public static function save()
	{
		foreach (self::$options as $key=>$type)
		{
			$value = filter_input(INPUT_POST, $key);

			if (isset($_POST['woocommerce_status']))
			{
				$js_woo_s = json_encode($_POST['woocommerce_status']);
				update_option('woocommerce_status', $js_woo_s);
			}

			if (isset($_POST['woocommerce_payment']))
			{
				$js_woo = json_encode($_POST['woocommerce_payment']);
				update_option('woocommerce_payment', $js_woo);
			}

			if ($value != NULL)
			{
				if ($type == 'string') {
					update_option($key, $value);
				} else if ($type == 'bool') {
					update_option($key, $value === "1" ? "1" : "0");
				} else if ($type == 'integer') {
					update_option($key, intval($value));
				}
			}
		}
	}
}
